Actor = class("Actor")

function Actor:initialize(x, y, w, h, world)

	self.x, self.y = x, y
	self.w, self.h = w, h

	self.shape = love.physics.newPolygonShape(0, 0, 10, 0, 10, 10, 0, 10)
	
	--self.shape = love.physics.newRectangleShape(10, 10)
	self.body = love.physics.newBody(world, x, y, "dynamic")
	
	self.fixture = love.physics.newFixture(self.body, self.shape)

end

function Actor:update(dt)

	self.x, self.y = self.body:getPosition()

end

function Actor:draw()
	
	love.graphics.polygon(
		"fill",
		self.body:getWorldPoints(
			self.shape:getPoints()
		)
	)

end
