Planet = class("Planet")


function Planet:initialize(x, y, r, mass, world)

	self.count = 0

	self.r = r
	self.blocks = {}
	table.insert(self.blocks, Core(x, y + 40, 10, 10, 500, world))
	table.insert(self.blocks, Block(x, y + 80, 10, 10, world, BLOCK_STONE))
	table.insert(self.blocks, Block(x + 40, y + 40, 10, 10, world, BLOCK_STONE))
	table.insert(self.blocks, Block(x - 40, y + 40, 10, 10, world, BLOCK_STONE))
	table.insert(self.blocks, Block(x, y, 10, 10, world, BLOCK_STONE))
	table.insert(self.blocks, Block(x + 40, y + 80, 10, 10, world, BLOCK_STONE))
	table.insert(self.blocks, Block(x - 40, y + 80, 10, 10, world, BLOCK_STONE))
	

end

function Planet:update(dt)

	self.count = self.count + 1
		if self.count == 10 then
			for i = 2, #self.blocks do
			love.physics.newWeldJoint(self.blocks[1].body, self.blocks[i].body, 0, 0, false)
			end	
		end
	
	for i = 1, #self.blocks do
		self.blocks[i]:update(dt)
	end


end


function Planet:draw()
	
	for i = 1, #self.blocks do
		self.blocks[i]:draw()
	end


end